/*********************************************************

Name: gen_dec.h
Author: JW
Revised by:
Version: 1.0.001
Date of mod.: 11.04.1998
Status: under development

Description:
Addition for TDTableSort object: generalized decision module

Comments:

*********************************************************/

#ifndef _GEN_DEC_H_
#define _GEN_DEC_H_
#include <iostream.h>
#include <assert.h>

class GenDecision
{
public:
  GenDecision();
  ~GenDecision();

  void SetDecNo(int);	// number of original decision values
  int AddValue(int,double=1);		// add value to decisions, returns its index

  int GetCodedDec(int);		// original and coded value for decision (singletons)
  int GetOrigDec(int);
  int *GetOrigDec()
  { return original; }
  int GetDecNumber()
  { return orig_dec_number; }


  double *statistics;	// statistics for decision classes
  double sum_stat;
private:
  int min_number,cur_number;	// minimal and current number of
										// gen. dec. value
  int orig_dec_number;
  int *original;
//***********************************************************
};

#endif